import { className, mergeData, renderRule } from '../../core/utils'
import { COLOR } from '../../core/constants'
import rules from './blip.rules'

export default {
  functional: true,
  inject: [
    'fela',
    'croudClassName'
  ],
  props: {
    tag: {
      type: String,
      default: 'div'
    },
    offset: {
      type: Boolean,
      default: true
    },
    fillColor: {
      type: String,
      default: COLOR.TEAL
    },
    ringColor: {
      type: String,
      default: COLOR.SLATE
    }
  },
  render(h, ctx) {
    const classes = renderRule(ctx, rules.blip)
    return h(ctx.props.tag, mergeData(ctx, {
      class: className(ctx, 'blip', classes)
    }))
  }
}
