import { StyleSheet } from 'fela-tools'
import { COLOR, HEADER } from '../../core/constants'
import scroll from '../../rules/scroll/scroll'
import layout from '../../rules/layout/layout'
import flex from '../../rules/flex/flex'

const SPACING = 8

export default StyleSheet.create({
  form: {
    height: '100vh',
    extend: layout(),
    belowTablet: {
      extend: layout({
        direction: 'column'
      })
    }
  },
  banner: {
    backgroundColor: COLOR.SLATE,
    extend: [
      layout({
        justify: 'center',
        align: 'center'
      }),
      flex({
        shrink: 0
      })
    ],
    belowTablet: {
      height: HEADER.HEIGHT_SMALL
    },
    aboveTablet: {
      width: '40vw'
    }
  },
  content: {
    backgroundColor: COLOR.FROST,
    extend: [
      flex({
        grow: 1
      }),
      layout({
        justify: 'center',
        align: 'center'
      }),
      scroll()
    ]
  },
  wrapper: {
    margin: 'auto',
    width: '100%',
    aboveTablet: {
      width: '75%'
    }
  },
  spacer: {
    belowTablet: {
      extend: layout({
        direction: 'column',
        align: 'center'
      })
    }
  },
  header: {
    paddingBottom: SPACING * 2,
    belowTablet: {
      textAlign: 'center',
      extend: layout({
        direction: 'column',
        align: 'center'
      })
    }
  },
  divider: {
    backgroundColor: COLOR.TEAL,
    marginTop: SPACING,
    width: 32,
    height: 4
  },
  subtitle: {
    paddingTop: SPACING
  },
  body: {
    paddingTop: SPACING
  }
})
