import { StyleSheet } from 'fela-tools'
import { offset } from '../../core/utils'
import { COLOR, ICON, MENU, TRANSITION } from '../../core/constants'
import transition from '../../rules/transition/transition'
import layout from '../../rules/layout/layout'

export default StyleSheet.create({
  link: ({ icon, active }) => ({
    link: active ? COLOR.WHITE : COLOR.SLATE,
    backgroundColor: active ? COLOR.TEAL : null,
    paddingLeft: icon ? null : MENU.LINK_PADDING,
    paddingRight: MENU.LINK_PADDING,
    minHeight: MENU.LINK_HEIGHT,
    position: 'relative',
    userSelect: 'none',
    extend: [
      layout({
        align: 'center'
      }),
      transition({
        property: 'background-color',
        duration: TRANSITION.UI.duration,
        easing: TRANSITION.UI.easing
      })
    ],
    onHover: {
      backgroundColor: COLOR.TEAL,
      color: COLOR.WHITE
    },
    onActive: {
      backgroundColor: COLOR.RUST,
      color: COLOR.WHITE
    }
  }),
  icon: {
    margin: offset(MENU.LINK_HEIGHT, ICON.SMALL)
  }
})
