import { StyleSheet } from 'fela-tools'
import { COLOR, EDGES } from '../../core/constants'
import { units } from '../../core/utils'
import text from '../../rules/text/text'
import { BORDER_WIDTH } from './nav.rules'

export default StyleSheet.create({
  item: ({ index, active }) => ({
    display: 'block',
    marginBottom: -BORDER_WIDTH,
    marginLeft: index > 0 ? units(4) : null,
    border: {
      color: active ? COLOR.SLATE : COLOR.TRANSPARENT,
      width: BORDER_WIDTH,
      edges: EDGES.B
    }
  }),
  link: () => ({
    display: 'block',
    link: COLOR.SLATE,
    extend: [
      text({
        lineHeight: '32px',
        size: '14px',
        type: 'body',
        bold: true
      })
    ]
  })
})
