import { createRenderer } from 'fela'
import { createConfig } from '../index'

const config = createConfig()
const renderer = createRenderer(config)

beforeEach(renderer.clear)

test('null values should be removed', () => {

  const rule = ({ setColor }) => ({
    color: setColor ? 'red' : null
  })

  expect(renderer.renderRule(rule, {
    setColor: true
  })).toBe('a')

  expect(renderer.renderRule(rule, {
    setColor: false
  })).toBe('')
})

test('null values in an extend block should be removed', () => {

  const rule = ({ setColor }) => ({
    extend: {
      color: setColor ? 'red' : null
    }
  })

  expect(renderer.renderRule(rule, {
    setColor: true
  })).toBe('a')

  expect(renderer.renderRule(rule, {
    setColor: false
  })).toBe('')
})
