import isObject from 'isobject'
import custom from 'fela-plugin-custom-property'
import { EDGES } from '../core/constants'
import ellipsis from '../rules/ellipsis/ellipsis'
import divider from '../rules/divider/divider'
import border from '../rules/border/border'
import edges from '../rules/edges/edges'

export default (options) => custom({

  padding: (value) => edges({
    prefix: 'padding',
    edges: EDGES.ALL,
    value
  }),

  margin: (value) => edges({
    prefix: 'margin',
    edges: EDGES.ALL,
    value
  }),

  border: (value) => (isObject(value)
    ? border(value) : { border: value }),

  divider: (value) => divider({ edges: value }),

  ellipsis: (value) => (value ? ellipsis() : {}),

  scrolling: (value) => ({
    '-webkit-overflow-scrolling': value
  }),

  tapColor: (value) => ({
    '-webkit-tap-highlight-color': value
  }),

  fontSmoothing: (value) => ({
    '-webkit-font-smoothing': value,
    '-moz-osx-font-smoothing': 'grayscale'
  }),

  fontFeatures: (value) => ({
    '-webkit-font-feature-settings': value,
    'font-feature-settings': value
  }),

  link: (color) => ({
    textDecoration: 'none',
    color
  }),

  size: (value) => ({
    width: value,
    height: value
  }),

  ...options
})
