import edges from './edges'

describe('edges', () => {

  it('throws error with invalid edges value', () => {
    expect(() => edges()).toThrowError('invalid edges value')
  })

  it('renders expected snapshots', () => {
    expect(edges({
      edges: 'top',
      value: '8px',
      prefix: 'border',
      postfix: 'width'
    })).toMatchSnapshot()
    expect(edges({
      edges: 'top|bottom',
      value: '8px',
      prefix: 'border',
      postfix: 'width'
    })).toMatchSnapshot()
    expect(edges({
      edges: [ 'left', 'right' ],
      value: 'red',
      prefix: 'border',
      postfix: 'color'
    })).toMatchSnapshot()
    expect(edges({
      edges: {
        top: 'green',
        bottom: 'blue'
      },
      value: 'red',
      prefix: 'border',
      postfix: 'color'
    })).toMatchSnapshot()
  })
})
